//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  (c) 2010-present DEMOS plan GmbH.
//
//  This file is part of the package demosplan,
//  for more information see the license file.
//
//  All rights reserved
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//  DPLAN CORE
//  Font Settings (family, sizes, weights)
//
//  By default demosplan makes use of system fonts because their benefits (readability, reduced loading time)
//  by far outweigh their only disadvantage (inability to carry a unique brand message).
//
//  Projects may override this by including their own font integration. Set `$dp-use-system-ui` to false in that case.
//
//  To understand why and how demosplan uses the system font stack, read more about ui fonts + system fonts here:
//      - https://thomasbyttebier.be/blog/the-best-ui-typeface-goes-unnoticed
//      - https://booking.design/implementing-system-fonts-on-booking-com-a-lesson-learned-bdc984df627f
//      - https://css-tricks.com/snippets/css/system-font-stack/
//      - https://markdotto.com/2018/02/07/github-system-fonts/
//      - https://infinnie.github.io/blog/2017/systemui.html
//      - https://www.w3.org/TR/2021/WD-css-fonts-4-20211221/#system-ui-def
//
//  @improve integrate responsive, modular scale based font sizes
//  - https://github.com/modularscale/modularscale-sass
//  - https://github.com/sass-mq/sass-mq
//  - paragraph + https://css-tricks.com/equilateral-triangle-perfect-paragraph/
//  - Align Type to Baseline Grid!!! https://codepen.io/fluxus/pen/BMGKMK
//  - Fluid Typography https://betterwebtype.com/articles/2019/05/14/the-state-of-fluid-web-typography/
//  - Use clamp() to limit min/max font-size values:
//      https://css-tricks.com/linearly-scale-font-size-with-css-clamp-based-on-the-viewport/
//
//  @improve check + advance web font integration
//  - http://calendar.perfplanet.com/2016/no-font-face-bulletproof-syntax/
//  - https://css-tricks.com/snippets/css/using-font-face/
//  - https://www.zachleat.com/web/23-minutes/
//
//  - >>>  Definitely read https://www.zachleat.com/web/comprehensive-webfonts/  <<<

// This is the single most important setting - font sizes, line heights as well as spacing is derived from it.
// It only exists here to draw attention to this. In fact it maps to $base-font-size.
$dp-base-size:              16px;

// Set this to false in projects that use fonts other than system font stack.
$dp-use-system-ui:          true !default;

// Base values are only applied to html/body elements.
$base-font-size:            $dp-base-size !default;
$base-line-height:          24px !default;

$base-font-family:
    system-ui,
    -apple-system,
    'Segoe UI',
    Roboto,
    'Helvetica Neue',
    'Noto Sans',
    'Liberation Sans',
    Arial,
    sans-serif !default;

$base-font-weight:          400 !default;
$base-letter-spacing:       .02em !default; // is it really a good idea to set _all_ things .02em?

$normal-font-family:        $base-font-family !default;
$normal-font-weight:        $base-font-weight !default;

$headings-font-family:      $base-font-family !default;
$headings-font-weight:      600 !default;

$h1-font-family:            $normal-font-family !default;
$h1-font-weight:            $normal-font-weight !default;

$h2-font-family:            $normal-font-family !default;
$h2-font-weight:            $normal-font-weight !default;

$h3-font-family:            $normal-font-family !default;
$h3-font-weight:            $normal-font-weight !default;

$bold-font-family:          $base-font-family !default;
$bold-font-weight:          600 !default;
